Bug 1468264 - [RFE] UUID of the system (dmidecode -s system-serial-number)to be changed after vm live migration to the another host
[RFE] UUID of the system (dmidecode -s system-serial-number)to be changed aft...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: libvirt (Show other bugs)
4.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: nobody nobody
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 09:53 EDT by Marian Jankular
Modified: 2017-09-28 05:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Jankular 2017-07-06 09:53:47 EDT
Description of problem:
After migration of VM to another host, the output of 'dmidecode -s system-serial-number' on guest running on destination hypervisor remains the same as it was on source hypervisor. 


Version-Release number of selected component (if applicable):
RHV 4.1.1
RHV 4.0.7
RHEV 3.6.10


How reproducible:
100%

Steps to Reproduce:
1. Install 2 hypervisors, create 2 VMs
2. Launch 1 VM per hypervisor, check the output of 'dmidecode -s system-serial-number' on guests, note the values
3. Migrate VMs to different hypervisor, check the output of 'dmidecode -s system-serial-number' on guests, see that it did not change

Actual results:
output of 'dmidecode -s system-serial-number' on guest side shows that hardware serial-number remains the same after VM has been migrated to different hypervisor


Expected results:
output of 'dmidecode -s system-serial-number' on guest side shows hardware serial-number of the hypervisor VM has been migrated to

Additional info:
Originally discovered in RHEV 3.6.10
Comment 1 Yaniv Kaul 2017-09-01 05:32:47 EDT
I think it'd surprise the guest if it has changed in the middle.

Note You need to log in before you can comment on or make changes to this bug.